com.sun.jna.platform.win32

## Class WinUser.KBDLLHOOKSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.KBDLLHOOKSTRUCT

- Enclosing interface:
    WinUser

      @Structure.FieldOrder(value={"vkCode","scanCode","flags","time","dwExtraInfo"})
      public static class WinUser.KBDLLHOOKSTRUCT
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BaseTSD.ULONG_PTR` | `dwExtraInfo`
    `int` | `flags`
    `int` | `scanCode`
    `int` | `time`
    `int` | `vkCode`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KBDLLHOOKSTRUCT()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vkCode

          public int vkCode

    - #### scanCode

          public int scanCode

    - #### flags

          public int flags

    - #### time

          public int time

    - #### dwExtraInfo

          public BaseTSD.ULONG_PTR dwExtraInfo

  - ### Constructor Detail

    - #### KBDLLHOOKSTRUCT

          public KBDLLHOOKSTRUCT()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.